package merges in main, required for the maven2 build

Bug #454822 reported by Matthias Klose on 2009-10-18
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
asm3 (Ubuntu)
Undecided
Unassigned
Karmic
Undecided
Unassigned
backport-util-concurrent (Ubuntu)
Medium
Matthias Klose
Karmic
Medium
Matthias Klose
bsh (Ubuntu)
Undecided
Unassigned
Karmic
Undecided
Unassigned
commons-beanutils (Ubuntu)
Medium
Matthias Klose
Karmic
Medium
Matthias Klose
commons-io (Ubuntu)
Undecided
Unassigned
Karmic
Undecided
Unassigned
libcommons-cli-java (Ubuntu)
Medium
Matthias Klose
Karmic
Medium
Matthias Klose
libcommons-codec-java (Ubuntu)
Undecided
Unassigned
Karmic
Undecided
Unassigned
libjaxp1.3-java (Ubuntu)
Undecided
Unassigned
Karmic
Undecided
Unassigned
libjdom1-java (Ubuntu)
Undecided
Unassigned
Karmic
Undecided
Unassigned
libslf4j-java (Ubuntu)
Undecided
Unassigned
Karmic
Undecided
Unassigned
libxalan2-java (Ubuntu)
Undecided
Unassigned
Karmic
Undecided
Unassigned
libxerces2-java (Ubuntu)
Undecided
Unassigned
Karmic
Undecided
Unassigned
qdox (Ubuntu)
Medium
Matthias Klose
Karmic
Medium
Matthias Klose
tomcat6 (Ubuntu)
Medium
Matthias Klose
Karmic
Medium
Matthias Klose

Bug Description

merges of some packages in main (no new upstream versions), which add the maven POM meta data to the jar files.

Related branches

Matthias Klose (doko) wrote :

see bug #443292 for the complete maven mess^B^B^Breport.

merges of some packages in main (no new upstream versions), which add
the meaven POM meta data to the jar files.

asm3_3.1-2ubuntu3
bsh_2.0b4-10ubuntu1
libcommons-codec-java_1.3-8ubuntu1
libjaxp1.3-java_1.3.04-5ubuntu1
libjdom1-java_1.1+dfsg-3ubuntu1
libslf4j-java_1.5.8-3ubuntu1
libxalan2-java_2.7.1-5ubuntu1
libxerces2-java_2.9.1-4ubuntu1

proposed uploads at http://people.canonical.com/~doko/tmp/maven/

Matthias Klose (doko) wrote :
Matthias Klose (doko) wrote :
Matthias Klose (doko) wrote :
Matthias Klose (doko) wrote :
Matthias Klose (doko) wrote :
Matthias Klose (doko) wrote :
Matthias Klose (doko) wrote :
Matthias Klose (doko) wrote :
Matthias Klose (doko) wrote :
Matthias Klose (doko) wrote :
Matthias Klose (doko) on 2009-10-20
Changed in asm3 (Ubuntu):
status: New → Fix Released
Changed in bsh (Ubuntu):
status: New → Fix Released
Changed in commons-io (Ubuntu):
status: New → Fix Released
Changed in libcommons-cli-java (Ubuntu):
status: New → Fix Released
Changed in libcommons-codec-java (Ubuntu):
status: New → Fix Released
Changed in libjaxp1.3-java (Ubuntu):
status: New → Fix Released
Changed in libjdom1-java (Ubuntu):
status: New → Fix Released
Changed in libslf4j-java (Ubuntu):
status: New → Fix Released
Changed in libxalan2-java (Ubuntu):
status: New → Fix Released
Changed in libxerces2-java (Ubuntu):
status: New → Fix Released
Matthias Klose (doko) wrote :

Thierry, would like to have some feedback on this one:

[The following lists of changes regard files as different if they have
different names, permissions or owners.]

Files in second .deb but not in first
-------------------------------------
-rw-r--r-- root/root /usr/share/maven-repo/com/thoughtworks/qdox/qdox/1.6.1/qdox-1.6.1.pom
-rw-r--r-- root/root /usr/share/maven-repo/com/thoughtworks/qdox/qdox/debian/qdox-debian.pom
lrwxrwxrwx root/root /usr/share/maven-repo/com/thoughtworks/qdox/qdox/1.6.1/qdox-1.6.1.jar -> ../../../../../../java/qdox-1.6.1.jar
lrwxrwxrwx root/root /usr/share/maven-repo/com/thoughtworks/qdox/qdox/debian/qdox-debian.jar -> ../../../../../../java/qdox-1.6.1.jar

Control files: lines which differ (wdiff format)
------------------------------------------------
Installed-Size: [-136-] {+180+}
Version: [-1.6.1-3ubuntu3-] {+1.6.1-3ubuntu4+}

Matthias Klose (doko) wrote :
Matthias Klose (doko) wrote :

required by maven-plugin-tools:

[The following lists of changes regard files as different if they have
different names, permissions or owners.]

Files in second .deb but not in first
-------------------------------------
-rw-r--r-- root/root /usr/share/maven-repo/backport-util-concurrent/backport-util-concurrent/3.1/backport-util-concurrent-3.1.pom
-rw-r--r-- root/root /usr/share/maven-repo/backport-util-concurrent/backport-util-concurrent/debian/backport-util-concurrent-debian.pom
lrwxrwxrwx root/root /usr/share/maven-repo/backport-util-concurrent/backport-util-concurrent/3.1/backport-util-concurrent-3.1.jar -> ../../../../java/backport-util-concurrent-3.1.jar
lrwxrwxrwx root/root /usr/share/maven-repo/backport-util-concurrent/backport-util-concurrent/debian/backport-util-concurrent-debian.jar -> ../../../../java/backport-util-concurrent-3.1.jar

Control files: lines which differ (wdiff format)
------------------------------------------------
Installed-Size: [-372-] {+396+}
Maintainer: [-Ubuntu Developers <email address hidden>-]
[-Original-Maintainer:-] Debian Java Maintainers <email address hidden>
Version: [-3.1-2ubuntu1-] {+3.1-2ubuntu2+}

Matthias Klose (doko) wrote :
Matthias Klose (doko) wrote :

[The following lists of changes regard files as different if they have
different names, permissions or owners.]

Files in second .deb but not in first
-------------------------------------
-rw-r--r-- root/root /usr/share/maven-repo/commons-beanutils/commons-beanutils/1.8.0/commons-beanutils-1.8.0.pom
-rw-r--r-- root/root /usr/share/maven-repo/commons-beanutils/commons-beanutils/debian/commons-beanutils-debian.pom
lrwxrwxrwx root/root /usr/share/maven-repo/commons-beanutils/commons-beanutils/1.8.0/commons-beanutils-1.8.0.jar -> ../../../../java/commons-beanutils-1.8.0.jar
lrwxrwxrwx root/root /usr/share/maven-repo/commons-beanutils/commons-beanutils/debian/commons-beanutils-debian.jar -> ../../../../java/commons-beanutils-1.8.0.jar

Control files: lines which differ (wdiff format)
------------------------------------------------
Installed-Size: [-264-] {+296+}
Maintainer: [-Ubuntu Developers <email address hidden>-]
[-Original-Maintainer:-] Debian Java Maintainers <email address hidden>
Version: [-1.8.0-2ubuntu1-] {+1.8.0-2ubuntu2+}

Matthias Klose (doko) wrote :
Matthias Klose (doko) wrote :

reopening, for evaluating a libcommons-cli-java 1.2 upload

Changed in libcommons-cli-java (Ubuntu):
status: Fix Released → New
Matthias Klose (doko) wrote :

merged libcommons-cli-java package

Thierry Carrez (ttx) wrote :

Preliminary testing with Eucalyptus and libcommons-cli-java 1.2-2ubuntu1, libcommons-beanutils-java 1.8.0-2ubuntu2 and libbackport-util-concurrent-java 3.1-2ubuntu2 shows no obvious regression.

Changed in backport-util-concurrent (Ubuntu):
assignee: nobody → Matthias Klose (doko)
importance: Undecided → Medium
milestone: none → ubuntu-9.10
status: New → Triaged
Thierry Carrez (ttx) on 2009-10-21
Changed in commons-beanutils (Ubuntu):
assignee: nobody → Matthias Klose (doko)
importance: Undecided → Medium
milestone: none → ubuntu-9.10
status: New → Triaged
Changed in libcommons-cli-java (Ubuntu):
assignee: nobody → Matthias Klose (doko)
importance: Undecided → Medium
milestone: none → ubuntu-9.10
status: New → Triaged
Changed in qdox (Ubuntu):
assignee: nobody → Matthias Klose (doko)
importance: Undecided → Medium
milestone: none → ubuntu-9.10
status: New → Triaged
Martin Pitt (pitti) wrote :

Those three were accepted now. Unfortunately the changelog didn't refer to this bug.

Changed in backport-util-concurrent (Ubuntu Karmic):
status: Triaged → Fix Released
Changed in qdox (Ubuntu Karmic):
status: Triaged → Fix Released
Changed in commons-beanutils (Ubuntu Karmic):
status: Triaged → Fix Released
Matthias Klose (doko) on 2009-10-22
Changed in qdox (Ubuntu Karmic):
status: Fix Released → Triaged
Matthias Klose (doko) on 2009-10-23
Changed in qdox (Ubuntu Karmic):
status: Triaged → Fix Released
Matthias Klose (doko) wrote :

the maven POM in libservlet2.5-java is needed to build maven-site-plugin (which is needed to make debian-debian-helper installable).

Changed in tomcat6 (Ubuntu Karmic):
importance: Undecided → Medium
milestone: none → ubuntu-9.10
status: New → Triaged
Matthias Klose (doko) wrote :
Matthias Klose (doko) wrote :
Matthias Klose (doko) wrote :

The tomcat6 patch is splitted here in two different chunks:

 - tomcat6-1.debdiff merges the maven POM changes into the Ubuntu package
 - tomcat6-2.debdiff adds some changes to provide compatibility links
   so that the jars can be found and used as in the current version in karmic.

tomcat6-common and libtomcat6-java are not used by eucalyptus, the changes in libservlet2.5-java are additions only (the debdiff of the binary shows that the .jar files are replaced by hard links).

Matthias Klose (doko) wrote :

tomcat6 binary packages at:

  deb http://people.canonical.com/~doko/tmp/tomcat6 ./

Matthias Klose (doko) wrote :

libcommons-cli-java: setting the milestone to karmic-updates; maven is now built; decide after the release about backporting patches or inclusion of the new upstream version.

Changed in libcommons-cli-java (Ubuntu Karmic):
milestone: ubuntu-9.10 → karmic-updates
Changed in tomcat6 (Ubuntu Karmic):
assignee: nobody → Matthias Klose (doko)
Matthias Klose (doko) wrote :

verified that the .class files are identical in both builds in libservlet2.5-java; the difference in the .jar files is due to the timestamps in the archive.

Binary files 1/usr/share/doc/libservlet2.5-java/changelog.Debian.gz and 3/usr/share/doc/libservlet2.5-java/changelog.Debian.gz differ
diff -ur 1/usr/share/java/el-api/META-INF/MANIFEST.MF 3/usr/share/java/el-api/META-INF/MANIFEST.MF
--- 1/usr/share/java/el-api/META-INF/MANIFEST.MF 2009-10-24 14:02:36.994284556 +0200
+++ 3/usr/share/java/el-api/META-INF/MANIFEST.MF 2009-10-24 14:03:44.670254198 +0200
@@ -1,4 +1,4 @@
 Manifest-Version: 1.0
 Ant-Version: Apache Ant 1.7.1
-Created-By: 14.0-b15 (Sun Microsystems Inc.)
+Created-By: 14.0-b16 (Sun Microsystems Inc.)

Binary files 1/usr/share/java/el-api-2.1.jar and 3/usr/share/java/el-api-2.1.jar differ
diff -ur 1/usr/share/java/jsp-api/META-INF/MANIFEST.MF 3/usr/share/java/jsp-api/META-INF/MANIFEST.MF
--- 1/usr/share/java/jsp-api/META-INF/MANIFEST.MF 2009-10-24 14:02:55.654294283 +0200
+++ 3/usr/share/java/jsp-api/META-INF/MANIFEST.MF 2009-10-24 14:03:53.162264772 +0200
@@ -1,6 +1,6 @@
 Manifest-Version: 1.0
 Ant-Version: Apache Ant 1.7.1
-Created-By: 14.0-b15 (Sun Microsystems Inc.)
+Created-By: 14.0-b16 (Sun Microsystems Inc.)

 Name: javax/servlet/jsp/
 Specification-Title: Java API for JavaServer Pages
Binary files 1/usr/share/java/jsp-api-2.1.jar and 3/usr/share/java/jsp-api-2.1.jar differ
diff -ur 1/usr/share/java/servlet-api/META-INF/MANIFEST.MF 3/usr/share/java/servlet-api/META-INF/MANIFEST.MF
--- 1/usr/share/java/servlet-api/META-INF/MANIFEST.MF 2009-10-24 14:03:15.470265300 +0200
+++ 3/usr/share/java/servlet-api/META-INF/MANIFEST.MF 2009-10-24 14:04:03.230312951 +0200
@@ -1,6 +1,6 @@
 Manifest-Version: 1.0
 Ant-Version: Apache Ant 1.7.1
-Created-By: 14.0-b15 (Sun Microsystems Inc.)
+Created-By: 14.0-b16 (Sun Microsystems Inc.)

 Name: javax/servlet/
 Specification-Title: Java API for Servlets
Binary files 1/usr/share/java/servlet-api-2.5.jar and 3/usr/share/java/servlet-api-2.5.jar differ
Only in 3/usr/share: maven-repo

Matthias Klose (doko) wrote :

find attached a minimal change to add the pregenerated pom files to the libservlet2.5-java package; verified that maven-site-plugin builds with it.

Matthias Klose (doko) wrote :
Matthias Klose (doko) wrote :
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package tomcat6 - 6.0.20-2ubuntu2

---------------
tomcat6 (6.0.20-2ubuntu2) karmic; urgency=low

  * Add maven POM's for libservlet2.5-java. LP: #454822.
  * debian/policy/02debian.policy: grant access to
    /usr/share/maven-repo/ as it is a valid source of Debian JARs.

 -- Matthias Klose <email address hidden> Sun, 25 Oct 2009 17:00:31 +0100

Changed in tomcat6 (Ubuntu Karmic):
status: Triaged → Fix Released
Martin Pitt (pitti) wrote :

Nothing to do here for ubuntu-archive, unsubscribing.

Matthias Klose (doko) wrote :

won't fix for karmic; the old version works good enough

Changed in libcommons-cli-java (Ubuntu):
status: Triaged → Won't Fix
milestone: karmic-updates → none
status: Won't Fix → Fix Released
Changed in libcommons-cli-java (Ubuntu Karmic):
status: Triaged → Won't Fix
To post a comment you must log in.